/*class 操作*/
function hasClass(obj, cls) {
    return obj.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)'));
}
function addClass(obj, cls) {
    if (!this.hasClass(obj, cls)) obj.className += " " + cls;
}
function removeClass(obj, cls) {
    if (hasClass(obj, cls)) {
        var reg = new RegExp('(\\s|^)' + cls + '(\\s|$)');
        obj.className = obj.className.replace(reg, ' ');
    }
}
function toggleClass(obj,cls){
    if(hasClass(obj,cls)){
        removeClass(obj, cls);
    }else{
      addClass(obj, cls);
    }
}

/*获取校验码*/
//生成随机码
function GetMixedNonce(n) {
    var chars = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];

    var res = "";
    for (var i = 0; i < n; i++) {
        var id = Math.ceil(Math.random() * 35);
        res += chars[id];
    }
    return res;
}

var TOKEN = 'yglz';
function GetSignature(token, timestamp, nonce) {
	var arrPara = [token, timestamp, nonce];
	arrPara.sort();

	return hex_md5(arrPara.join(""));
}
function GetParam() {
	var token = TOKEN;
    var timestamp = Math.round(new Date().getTime()/1000);
    var nonce = GetMixedNonce(4);
	return {
		nonce: nonce,
		timestamp: timestamp,
		signature: GetSignature(token, timestamp, nonce)
	};
}
/*获取校验码 -- end*/